##########################
The :mod:`gen.db` Module
##########################

.. automodule:: gen.db

GrampsDbBase
====================================
.. automodule:: gen.db.base
   :members:
   :undoc-members:
   :show-inheritance:

GrampsDbRead
====================================
.. automodule:: gen.db.read
   :members:
   :show-inheritance:

GrampsDbWrite
====================================
.. automodule:: gen.db.write
   :members:
   :undoc-members:
   :show-inheritance:

GrampsCursor
====================================
.. automodule:: gen.db.cursor
   :members:
   :undoc-members:
   :show-inheritance:

BSDDBtxn
====================================
.. automodule:: gen.db.bsddbtxn
   :members:
   :undoc-members:
   :show-inheritance:

GrampsDbTxn
====================================
.. automodule:: gen.db.txn
   :members:
   :undoc-members:
   :show-inheritance:

GrampsDbUndo
====================================
.. automodule:: gen.db.undoredo
   :members:
   :undoc-members:
   :show-inheritance:

DbConst
====================================
.. automodule:: gen.db.dbconst
   :members:

GrampsDbException
====================================
.. automodule:: gen.db.exceptions
   :members:
   :undoc-members:
   :show-inheritance:

Upgrade utilities
====================================
.. automodule:: gen.db.upgrade
   :members:
   :undoc-members:

Backup
====================================
.. automodule:: gen.db.backup
   :members:
   :undoc-members:
   :show-inheritance:
